Debian Bug report logs - #403360
xterm: destroyes first displayed character

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Stepan Golosunov <stepan@golosunov.pp.ru>

Date: Sat, 16 Dec 2006 15:48:35 UTC

Severity: normal

Tags: l10n

Found in version xterm/222-1

Fixed in version xterm/228-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#403360; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Stepan Golosunov <stepan@golosunov.pp.ru>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stepan Golosunov <stepan@golosunov.pp.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: destroyes first displayed character
Date: Sat, 16 Dec 2006 19:39:47 +0400
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 222-1
Severity: normal
Tags: l10n

xterm destroyes first character displayed by
LC_ALL=ru_RU.UTF-8 xterm -e 'date;read' (bug.png), compare with
LC_ALL=ru_RU.UTF-8 xterm -e 'reset;date;read' (reset.png).

I can't reproduce this bug with non-utf8 locales and +lc switch, but
xterm -lc -e 'date;read'
disappears immediately in any such locale (including C).



-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libfontconfig1               2.4.1-2     generic font configuration library
ii  libice6                      1:1.0.1-2   X11 Inter-Client Exchange library
ii  libncurses5                  5.5-5       Shared libraries for terminal hand
ii  libsm6                       1:1.0.1-3   X11 Session Management library
ii  libx11-6                     2:1.0.3-4   X11 client-side library
ii  libxaw7                      1:1.0.2-4   X11 Athena Widget library
ii  libxext6                     1:1.0.1-2   X11 miscellaneous extension librar
ii  libxft2                      2.1.8.2-8   FreeType-based font drawing librar
ii  libxmu6                      1:1.0.2-2   X11 miscellaneous utility library
ii  libxt6                       1:1.0.2-2   X11 toolkit intrinsics library
ii  xbitmaps                     1.0.1-2     Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- debconf-show failed
[bug.png (image/png, attachment)]
[reset.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#403360; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 403360@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 403360@bugs.debian.org
Subject: re: #403360 xterm: destroyes first displayed character
Date: Tue, 16 Jan 2007 18:16:48 -0500
[Message part 1 (text/plain, inline)]
To the extent that this describes an issue with xterm, it
is a duplicate of #319237

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stepan Golosunov <stepan@golosunov.pp.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 403360-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 403360-close@bugs.debian.org
Subject: Bug#403360: fixed in xterm 228-1
Date: Mon, 23 Jul 2007 02:02:03 +0000
Source: xterm
Source-Version: 228-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_228-1.diff.gz
  to pool/main/x/xterm/xterm_228-1.diff.gz
xterm_228-1.dsc
  to pool/main/x/xterm/xterm_228-1.dsc
xterm_228-1_i386.deb
  to pool/main/x/xterm/xterm_228-1_i386.deb
xterm_228.orig.tar.gz
  to pool/main/x/xterm/xterm_228.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 403360@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 23 Jul 2007 03:43:32 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 228-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 369920 403360 430121
Changes: 
 xterm (228-1) unstable; urgency=low
 .
   [ Julien Cristau ]
   * New upstream release
     + fix missing assignment for UTF-8 parsing in widget initialization
       (closes: #403360).
     + correct index expression used to set line-wrapping flag, making
       selection from scrollback work consistently (closes: #430121).
   * Refresh 901_xterm_manpage.diff.
 .
   [ Brice Goglin ]
   * Fix debian/rules to not be confused by ~/.quiltrc or QUILT_PATCHES,
     closes: #369920.
Files: 
 f67ca444d3555233b1215f3802d1d448 825 x11 optional xterm_228-1.dsc
 35e0b1bfc9351519b3705d102cf24241 841482 x11 optional xterm_228.orig.tar.gz
 03b70a6e8e3502662b424f32a2118411 61896 x11 optional xterm_228-1.diff.gz
 b50d47b20ce665cf093959c408800f11 454298 x11 optional xterm_228-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGpAnpmEvTgKxfcAwRArmrAKDcrKsdw3cwhakRFagblUqKceqccwCgnnAy
5bQ997pNlS9cJLclL+4+c9E=
=HP3b
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 31 Aug 2007 07:30:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:43:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.